      subroutine setprob
      implicit double precision (a-h,o-z)
c
c     # Copy this file to your directory and modify to set up problem
c     # parameters or read other data.
c
      common /sw/  g
      common/cdisc/ x0,y0,alf,beta,r0,idisc

      g = 1.d0

c     # data for flow into cylinder:
      idisc = 2
      x0 = 0.0d0
      y0 = 0.d0
      r0 = 0.2d0

      return
      end
